## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/libkeepass/pykeepass
# We package a post-release snapshot with fixes for issues in the 4.1.1
# release:
# - update changelog
# - missing test database
# - remove unsupported type annotation
# - remove more type annotations
%global version0 4.1.1
%global commit0 409be2d416ef5da7697d05a9b8ad3a403bdabb99
%forgemeta

Name:           python-pykeepass
Version:        %forgeversion
Release:        %autorelease
Epoch:          1
Summary:        Python library to interact with keepass databases

# The entire source is GPL-3.0-only, except:
#
# MIT:
#   pykeepass/kdbx_parsing/twofish.py
License:        GPL-3.0-only AND MIT
URL:            %{forgeurl}
# The GitHub archive has tests; the PyPI sdist does not.
Source:         %{forgesource}

BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  tomcli

%global common_description %{expand:
This library allows you to write entries to a KeePass database.}

%description %{common_description}


%package -n     python3-pykeepass
Summary:        %{summary}
 
%description -n python3-pykeepass %{common_description}


%prep
%forgeautosetup -p1

# This is actually a documentation dependency:
tomcli set pyproject.toml lists delitem project.optional-dependencies.test pdoc


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pykeepass


%check
# This is worthwhile even though we run the tests; tests did not catch a
# missing pykeepass.kdbx_parsing package in the 4.0.7 release, but an import
# check would have.
%pyproject_check_import

%{python3} -m unittest discover -s tests -v


%files -n python3-pykeepass -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Mar 05 2025 Packit <hello@packit.dev> - 1:4.1.1^git409be2d-1
- Update to a post-release snapshot of 4.1.1
- Resolves: rhbz#2349944

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.1.0.post1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jul 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.1.0.post1-1
- Update to 4.1.0.post1 (close RHBZ#2301433)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1:4.1.0-1
- chore: Update to 4.1.0

* Fri Jun 21 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1:4.0.7.post1-4
- build: Add Packit config

* Fri Jun 21 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1:4.0.7.post1-3
- build: Update to latest git snapshot to fix rh#2292507

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1:4.0.7.post1-2
- Rebuilt for Python 3.13

* Tue Apr 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.7.post1-1
- Update to 4.0.7.post1 (close RHBZ#2274253)

* Thu Feb 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.7-1
- Update to 4.0.7 (close RHBZ#2266843)

* Thu Feb 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.6-5
- Remove useless shebang from pykeepass/deprecated.py

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.6-2
- Assert that %%pyproject_files contains a license file

* Wed Aug 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.6-1
- Update to 4.0.6 (close RHBZ#2233681)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:4.0.5-2
- Rebuilt for Python 3.12

* Tue Jun 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1:4.0.5-1
- chore: Update to 4.0.5 (close RHBZ#2212566)

* Fri May 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.4-1
- Update to 4.0.4 (close RHBZ#2203364)

* Fri May 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.3-5
- Fix endianess problems on s390x (close RHBZ#2156942)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.3-3
- Add ExcludeArch: s390x

* Thu Dec 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1:4.0.3-2
- Migrate to pyproject-rpm-macros and SPDX
- Run the upstream tests
- Package the changelog as documentation

* Wed Oct 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1:4.0.3-1
- build: Bump epoch due >4.0.1 API break

* Fri Oct 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.3-1
- chore(update): 4.0.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 4.0.2-3
- Rebuilt for Python 3.11

* Tue May 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.2-1
- chore(update): 4.0.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.0.1-2
- Rebuilt for Python 3.10

* Sat May 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.1-1
- build(update): 4.0.1

* Wed Apr 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-3
- fix: Project URL | RH#1949631

* Mon Mar 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-2
- build: Drop manual Requires

* Mon Feb 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-1
- build(update): 4.0.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.1-1
- build(update): 3.2.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.2.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-1
- Update to 3.2.0

* Wed Sep 25 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.3-2
- Built with with system 'pycryptodomex'
- Cleanup spec file

* Fri Jun 14 2019 Pavlo Rudyi <paulcarroty@fedoraproject.org> - 3.0.3-1
- initial build

## END: Generated by rpmautospec
